<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE rmi PUBLIC "-//BEA Systems, Inc.//RMI Runtime DTD 1.0//EN" "rmi.dtd">
<rmi
    name="q41bConvocatoriaManagerEJB.q41bConvocatoriaManagerBean_8qra5m_EOImpl"
>
<cluster
    clusterable="true"
    load-algorithm="random"
    propagate-environment="true"
>
</cluster>

<lifecycle
    dgc-policy="managed"
>
</lifecycle>

<method
    name="getNextNumConvocatoria(int)"
>
</method>
<method
    name="validarCuerpo(java.lang.String)"
>
</method>
<method
    name="validarCategoria(java.lang.String)"
>
</method>
<method
    name="validarPuesto(java.lang.String)"
>
</method>
<method
    name="validarCamposNoErroneos(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="insertar(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="modificar(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent,boolean)"
>
</method>
<method
    name="borrar(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="tieneHijos(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey)"
>
</method>
<method
    name="recuperar(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey)"
>
</method>
<method
    name="recuperarAccionesPermitidas(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey)"
>
</method>
<method
    name="buscar(q41bObjectValue.q41bConvocatoria.q41bFiltroConvocatoria)"
>
</method>
<method
    name="recuperaResolucion(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPKey,java.io.OutputStream)"
>
</method>
<method
    name="consultarExistenciaGeneracionBolsa(int,int)"
>
</method>
<method
    name="obtenerFaseConvocatoria(q41bObjectValue.q41bConvocatoria.q41bConvocatoriaPersistent)"
>
</method>
<method
    name="ponerSemaforoRojo(java.lang.String,int,java.lang.String)"
>
</method>
<method
    name="ponerSemaforoVerde(java.lang.String,int)"
>
</method>
<method
    name="obtEstadoSemaforo(java.lang.String,int)"
>
</method>
<method
    name="getTipoDocumentos(int)"
>
</method>
<method
    name="getEJBHome()"
>
</method>
<method
    name="getPrimaryKey()"
>
</method>
<method
    name="remove()"
>
</method>
<method
    name="getHandle()"
>
</method>
<method
    name="isIdentical(javax.ejb.EJBObject)"
>
</method>

<security
    client-authentication="supported"
    client-cert-authentication="supported"
    identity-assertion="supported"
    confidentiality="supported"
    integrity="supported"
>
</security>

</rmi>
